[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: ibm compiler for 64bit ppc


> I have downloaded xlc ibm compiler for suse (trial version) but ppc64  
> isn't supported by alien. So I unpacked everythings but I didn't  
> success in running it (xlc doesn't found 1501-231 message). Does  
> somebody already have done it ?
> I really want to run it under debian since I don't want to switch to  
> suse for our project (mix of blade JS20 center,OpenPower,xserve...).

You need the install scripts in the rpm. Luckily alien handles the
conversion OK. I got around the ppc64 target issue by unpacking all of
the rpms and changing the target from ppc64 to powerpc:

mkdir tmp
cd tmp

for i in ../*rpm
        alien -g --scripts $i

for i in `find . -name control`
        perl -i -p -e 's/ppc64/powerpc/' $i

for i in `ls -d * |grep -v orig`
        cd $i
        ./debian/rules binary
        cd ..

Then install the debs and run the configure script. You can try and
convert /opt/ibmcmp/vac/7.0/bin/new_install to understand debs or else
just run the vac_configure script directly.  Assuming you dont have a
biarch toolchain (which is the case with debian), and you have a 64bit
capable toolchain in usr/local/ppc64, you can run:

/opt/ibmcmp/vac/7.0/bin/vac_configure -smprt /opt/ibmcmp/xlsmp/1.5 -mass /opt/ibmcmp/xlmass/4.1 -vac /opt/ibmcmp/vac/7.0 -install /opt/ibmcmp/vac/7.0/etc/vac.base.cfg -gcc /usr -gcc64 /usr/local/ppc64 -vacpp /opt/ibmcmp/vacpp/7.0 -vacpprt /opt/ibmcmp/vacpp/7.0 -vaclic /opt/ibmcmp/vac/7.0

And for xlf:

/opt/ibmcmp/xlf/9.1/bin/xlf_configure -smprt /opt/ibmcmp/xlsmp/1.5 -mass /opt/ibmcmp/xlmass/4.1 -xlf /opt/ibmcmp/xlf/9.1 -install /opt/ibmcmp/xlf/9.1/etc/xlf.base.cfg -gcc /usr -gcc64 /usr/local/ppc64 -xlfrt /opt/ibmcmp/xlf/9.1 -xlflic /opt/ibmcmp/xlf/9.1

PS we really need a biarch toolchain but are blocked by the debian
release cycle (we need an updated glibc).


Reply to: